summary refs log tree commit diff
diff options
context:
space:
mode:
-rwxr-xr-xpkgs/maintainers/scripts/evacuate-urls.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/pkgs/maintainers/scripts/evacuate-urls.sh b/pkgs/maintainers/scripts/evacuate-urls.sh
new file mode 100755
index 00000000000..8ca72fdf96f
--- /dev/null
+++ b/pkgs/maintainers/scripts/evacuate-urls.sh
@@ -0,0 +1,28 @@
+#! /bin/sh -e
+
+find . -name "*.nix" | while read fn; do
+
+    grep -E '^ *url = ' "$fn" | while read line; do
+
+        if oldURL=$(echo "$line" | sed 's^url = \(.*\);^\1^'); then
+
+            if ! echo "$oldURL" | grep -q -E ".cs.uu.nl|.stratego-language.org|java.sun.com|ut2004|linuxq3a"; then
+                base=$(basename $oldURL)
+                newURL="http://catamaran.labs.cs.uu.nl/dist/tarballs/$base"
+                newPath="/mnt/scratchy/eelco/public_html/tarballs/$base"
+                echo "$fn: $oldURL -> $newURL"
+
+                if ! test -e "$newPath"; then
+                    curl --fail --location --max-redirs 20 "$oldURL" > "$newPath".tmp
+                    mv -f "$newPath".tmp "$newPath"
+                fi
+
+                sed "s^$oldURL^$newURL^" < "$fn" > "$fn".tmp
+                mv -f "$fn".tmp "$fn"
+            fi
+            
+        fi
+    
+    done
+
+done
\ No newline at end of file